import { ColorRGBA64, parseColorHexRGB } from '@microsoft/fast-colors';
export const getWebRGBA = (rgb, alpha = 1.0) => {
    const rgba = new ColorRGBA64(rgb.r, rgb.g, rgb.b, alpha);
    return rgba.toStringWebRGBA();
};
export var PrimaryRapidColorHEX;
(function (PrimaryRapidColorHEX) {
    PrimaryRapidColorHEX["blue"] = "#0eafe2";
    PrimaryRapidColorHEX["purple"] = "#654df9";
})(PrimaryRapidColorHEX || (PrimaryRapidColorHEX = {}));
export var ColorHEX;
(function (ColorHEX) {
    ColorHEX["black"] = "#000000";
    ColorHEX["white"] = "#FFFFFF";
    ColorHEX["almostWhite"] = "#F1F1F1";
    ColorHEX["lightGrey"] = "#2E3339";
    ColorHEX["mediumGrey"] = "#2C2F33";
    ColorHEX["darkGrey"] = "#1F2126";
    ColorHEX["darkerGrey"] = "#141519";
})(ColorHEX || (ColorHEX = {}));
const backgroundHoverOpacity = 0.5;
const backgroundItemOpacity = 0.05;
const backgroundNavOptionOpacity = 0.5;
export const defaultBackgroundHover = getWebRGBA(parseColorHexRGB('#FFF'), backgroundHoverOpacity);
export const defaultBackgroundItem = getWebRGBA(parseColorHexRGB('#FFF'), backgroundItemOpacity);
export const backgroundNavOption = getWebRGBA(parseColorHexRGB(PrimaryRapidColorHEX.blue), backgroundNavOptionOpacity);
//# sourceMappingURL=colors.js.map